library(dplyr)
library(lattice)
library(ggplot2)

# IMPORTANT: Fill in file pathnames! 

vegdata <- read.csv("______________/vegdata.csv")
vegdata2 <- read.csv("______________/vegdata2.csv")

vegdata_A <- filter(vegdata, vegdata$Site == "Aleixo")
vegdata_SM <- filter(vegdata, vegdata$Site == "Santa Marta")

avgveg_A <- c(mean(vegdata_A$NoSmall), mean(vegdata_A$NoMedium), mean(vegdata_A$NoLarge), mean(vegdata_A$Incline), mean(vegdata_A$Saplings), mean(vegdata_A$GrassesVinesBamboo))
avgveg_SM <- c(mean(vegdata_SM$NoSmall), mean(vegdata_SM$NoMedium), mean(vegdata_SM$NoLarge), mean(vegdata_SM$Incline), mean(vegdata_SM$Saplings), mean(vegdata_SM$GrassesVinesBamboo))


vegdata2sizes <- filter(vegdata2, !vegdata2$Category=="Incline", 
                        !vegdata2$Category=="Saplings")
vegdata2other <- filter(vegdata2, !vegdata2$Category=="Small",
                        !vegdata2$Category=="Medium", 
                        !vegdata2$Category=="Large")
ggplot(vegdata2sizes, aes(x=Category, y=AverageCount, fill=Site)) + geom_bar(stat="Identity", col="black", position=position_dodge())+ geom_text(aes(label=AverageCount), vjust = 1.5, position = position_dodge(0.9), color="white") + scale_x_discrete(limits=c("Small", "Medium", "Large")) + xlab("Tree Height") + ylab("Tree Count (Avg)") + ggtitle("Vegetation Comparison")

ggplot(vegdata2other, aes(x=Category, y=AverageCount, fill=Site)) + geom_bar(stat="Identity", col="black", position=position_dodge())+ geom_text(aes(label=AverageCount), vjust = 1.5, position = position_dodge(0.9), color="white") + scale_x_discrete(limits=c("Saplings", "Incline")) + xlab("Other Categories") + ylab("Value") + ggtitle("Vegetation Comparison")

head(vegdata)
vegdata
